Subject: Re: bug#22902: GUILE_INSTALL_LOCALE not equivalent to setlocale
From: Andy Wingo <[email-masked]>
To: Zefram <[email-masked]>
Cc: [email-masked]
Date: Sun, 07 Aug 2016 23:53:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri 04 Mar 2016 04:34, Zefram <[email-masked]> writes:

> The documentation claims that setting GUILE_INSTALL_LOCALE=1 in the
> environment is equivalent to calling (setlocale LC_ALL "") at startup.
> Actually there is at least one difference: calling setlocale causes ports
> (both primordial and later-opened) to be initially configured for the
> locale's nominal character encoding, but setting the environment variable
> does not.  Setting the environment variable leaves the port encoding at
> #f, functioning as ISO-8859-1, just as if locale had not been invoked
> at all.  I do see some effects from setting the environment variable,
> specifically message strings affecting strftime.

I believe this is fixed in both 2.0 and master.  Thanks for the report.

Andy